## apt 0.8.3ubuntu7.3

=== debian/changelog ===
apt (0.8.3ubuntu7.3) maverick-security; urgency=low

  * SECURITY UPDATE: sensitive information disclosure via incorrect
    hostname validation (LP: #868353)
    - methods/https.cc: properly set CURLOPT_SSL_VERIFYHOST.
    - CVE-2011-3634
  * SECURITY UPDATE: Restore apt-ket net-update functionality (LP: #857472)
    - cmdline/apt-key: improve key validation.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2011 13:50:41 -0500

apt (0.8.3ubuntu7.2) maverick-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is insecure. (LP: #856489)
    - cmdline/apt-key: exit immediately out of net_update().
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Sep 2011 11:23:05 -0400

apt (0.8.3ubuntu7.1) maverick-proposed; urgency=low

  [ Brian Murray ]
  * apt-pkg/deb/dpkgpm.cc:
    - stop reporting of apport-package bug reports regarding
      dpkg I/O errors (LP: #767776)
  
  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - backport improved dpkg I/O error detection

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Apr 2011 15:41:29 +0200
