=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Luca Bruno <lethalman88@gmail.com>, Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/

Package: apt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: manpages-pl (<< 20060617-3~)
Provides: ${libapt-pkg:provides}
Recommends: ubuntu-keyring, gpg
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide, for APT, an
 Advanced Package Tool.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt (= ${binary:Version}), apt-utils (= ${binary:Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}, ${misc:Depends}, zlib1g-dev | zlib-dev
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${libapt-inst:provides}
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: APT https transport
 This package contains a APT https transport. It makes it possible to
 use 'deb https://foo distro main' lines in the sources.list.
