## apt 0.8.10.3+squeeze1

=== debian/changelog ===
apt (0.8.10.3+squeeze1) stable; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - make Vcs-Bzr point to http://bzr.debian.org/apt/apt/debian-squeeze
      branch
  * apt-pkg/acquire-item.cc:
    - mark pkgAcqIndexTrans as Index-File to avoid asking the
      user to insert the CD on each apt-get update, closes: #614300

  [ Christian Perrier ]
  * Fix error in French translation of manpages (apt_preferences(5)).
    Merci, Rémi Vanicat. Closes: #613689

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - reorder the loaded filesize bytes for big endian (Closes: #612986)
      Thanks to Jörg Sommer for the detailed analyse!
  * ftparchive/multicompress.cc, apt-inst/deb/debfile.cc:
    - support xz compressor to create xz-compressed Indexes and be able
      to open data.tar.xz files
  * ftparchive/writer.cc:
    - include xz-compressed Packages and Sources files in Release file
  * apt-pkg/deb/debsrcrecords.cc:
    - support xz-compressed source v3 debian.tar files

 -- Julian Andres Klode <jak@debian.org>  Fri, 15 Apr 2011 09:23:08 +0200

apt (0.8.10.3) unstable; urgency=low

  [ Programs translations ]
  * po/es.po: Updated, plus fixes encoding issues and fixes two fuzzy
    strings, thanks to Javier Fernandez-Sanguino (closes: #610692)

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jan 2011 11:51:42 +0100

apt (0.8.10.2) unstable; urgency=low

  [ David Kalnischkies ]
  * ftparchive/apt-ftparchive.cc:
    - fix endless loop for multiple TranslationsWriters

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jan 2011 10:26:15 +0100

apt (0.8.10.1) unstable; urgency=low

  [ Christian Perrier ]
  * Fix encoding for Slovenian translation. PO file switched
    to UTF-8. Closes: #609957

  [ Julian Andres Klode ]
  * cmdline/apt-cache.cc: Create an error for apt-cache depends
    if packages could not found (LP: #647045)

  [ Programs translations ]
  * Spanish update by Javier Fernández-Sanguino Peña. Closes: #607145 

  [ Manpages translations ]
  * Correct a typo and an error in French manpages translation.
    Closes: # 607170

 -- Michael Vogt <mvo@debian.org>  Mon, 17 Jan 2011 13:41:04 +0100

apt (0.8.10) unstable; urgency=low

  [ Programs translations ]
  * Czech by Miroslav Kure. Closes: #605107

  [ Martin Pitt ]
  * test/integration/test-compressed-indexes, test/test-indexes.sh:
    - Explicitly disable compressed indexes at the start. This ensures that we
      will actually test uncompressed indexes regardless of the internal
      default value of Acquire::GzipIndexes.

  [ David Kalnischkies ]
  * apt-pkg/algorithms.cc:
    - mark all installed packages first without auto installation in
      a dist-upgrade to prefer upgrading packages instead of installing
      new packages in versioned or-groups (Closes: #605394)

 -- Michael Vogt <mvo@debian.org>  Tue, 30 Nov 2010 10:42:17 +0100

apt (0.8.9) unstable; urgency=low

  [ Christian Perrier ]
  * Fix "typos" in French manpages translations. Thanks to
    Cyril Brulebois for bashing me.
  * Drop useless untranslatable sections from apt.8

  [ Programs translations ]
  * Slovenian update by Andrej Žnidaršič and Rosetta Slovenian team
  * German update by Holger Wansing. Closes: #603619

  [ David Kalnischkies ]
  * apt-pkg/aptconfiguration.cc:
    - evaluate Acquire::Languages= before LANG= (Closes: #602573)
  * apt-pkg/orderlist.cc:
    - try fixing before removing even if the fix is hidden in
      a provides, hidden in the #590438 testcase
  * apt-pkg/algorithms.cc:
    - if the package was explicitly marked as ToRemove don't
      consider it as a candidate for FixByInstall
  * apt-pkg/depcache.cc:
    - don't install previously not installed providers in a try
      to statisfy a "Breaks: provides" dependency by upgrade
  * cmdline/acqprogress.cc:
    - don't ask the user for media change if quiet >= 2, stdout is not
      a tty and assume-yes, force-yes or trivial-only option is set to
      avoid cpu eating endless loops in unattended runs like apt.cron
      (Closes: #602354, LP: #665580)

 -- Michael Vogt <mvo@debian.org>  Thu, 18 Nov 2010 09:25:04 +0100

apt (0.8.8) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/contrib/fileutl.cc:
    - Add a FileFd::FileSize() method to get the size of the underlying
      file and not the size of the content in the file as FileFd::Size()
      does - the sizes can differ since the direct gzip integration
  * methods/{gzip,bzip2}.cc:
    - use FileSize() to determine if the file is invalid (Closes: #600852)
  * apt-pkg/pkgcache.cc:
    - fallback always to a suitable description (Closes: #601016)

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - ensure that history.log gets closed to avoid leaking a FD
      (closes: #601649)

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Oct 2010 21:22:21 +0200

apt (0.8.7) unstable; urgency=low

  [ Manpages translations ]
  * Typo fixed in French (extra "Z"). Thanks to Florentin Duneau.
  * Another typo fixed in French ("Anfin"). Thanks to bubulle
  * Wrong translation for "showauto" fixed. Thanks to Raphaël Hertzog
    Closes: #599265

  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - source /etc/default/locale (if available) so that the
      apt-get update cron job fetches the right translated package
      descriptions
  * fix test failure on amd64
  * apt-pkg/deb/debsystem.cc:
    - fix issues with dir::state::status and dir::state::extended_states
      when alternative rootdirs are used

  [ Martin Pitt ]
  * apt-pkg/deb/debindexfile.cc:
    - Use FileFd::Size() instead of stat()ing the sources/binary/translations
      indexes directly, so that we have transparent handling of gzipped
      indexes.
  * apt-pkg/contrib/fileutl.cc:
    - Fix FileFd::Size() for gzipped files to give the size of the
      uncompressed data. This fixes cache building progress going way
      over 100%.

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - support ArmHardFloat port in CompleteArch, thanks to Sebastian

