=== debian/rules ===
--- 
+++ 
@@ -214,7 +214,7 @@
 
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 	cp debian/apt.logrotate debian/$@/etc/logrotate.d/apt
-	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
+
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
 
 	# copy lintian override
@@ -253,3 +253,4 @@
 # libapt-pkg-dev install
 #
 	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
+	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
