## apt 0.8.10.3+squeeze2

=== debian/changelog ===
apt (0.8.10.3+squeeze2) squeeze-lts; urgency=high

  * SECURITY UPDATE: apt-get source validation (closes: #749795)
    - CVE-2014-0478
  * SECURITY UPDATE: sensitive information disclosure via incorrect
    hostname validation (LP: #868353)
    - methods/https.cc: properly set CURLOPT_SSL_VERIFYHOST.
    - CVE-2011-3634

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Jun 2014 14:30:59 +0200
