## apt 0.8.10.3+squeeze3

=== debian/changelog ===
apt (0.8.10.3+squeeze3) squeeze-lts; urgency=high

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)

 -- Michael Vogt <mvo@debian.org>  Mon, 15 Sep 2014 09:23:21 +0200

apt (0.8.10.3+squeeze2) squeeze-security; urgency=high

  * SECURITY UPDATE: apt-get source validation (closes: #749795)
    - CVE-2014-0478
  * SECURITY UPDATE: sensitive information disclosure via incorrect
    hostname validation (LP: #868353)
    - methods/https.cc: properly set CURLOPT_SSL_VERIFYHOST.
    - CVE-2011-3634

 -- Michael Vogt <mvo@debian.org>  Thu, 12 Jun 2014 14:30:59 +0200
