## apt 0.8.10.3+squeeze6

=== debian/changelog ===
apt (0.8.10.3+squeeze6) squeeze-lts; urgency=high

  * methods/http.cc:
    - fix regression when http range requests are used, thanks
      to Steven McDonald

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Oct 2014 13:19:08 +0200
