## apt 0.8.10.3+squeeze7

=== debian/changelog ===
apt (0.8.10.3+squeeze7) squeeze-lts; urgency=medium

  [ David Kalnischkies ]
  * methods/http.cc:
    - retry without partial data after a 416 response (closes: 710924)
  
 -- Michael Vogt <mvo@debian.org>  Fri, 17 Oct 2014 09:37:24 +0200
