## apt 0.8.13.2ubuntu2

=== debian/changelog ===
apt (0.8.13.2ubuntu2) natty; urgency=low

  [ Michael Vogt ]
  * debian/apt.cron.daily:
    - run unattended-upgrades even if there was a error during
      the apt-get update (LP: #676295)
  
  [ Julian Andres Klode ]
  * apt-pkg/indexcopy.cc:
    - Use RealFileExists() instead of FileExists(), allows amongst other
      things a directory named Sources to exist on a CD-ROM (LP: #750694).
  
  [ David Kalnischkies  ]
  * apt-pkg/pkgcache.cc:
    - use the native Architecture stored in the cache header instead of
      loading it from configuration as suggested by Julian Andres Klode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Apr 2011 12:52:21 +0200

apt (0.8.13.2ubuntu1) natty; urgency=low

  * merge fixes from debian-sid, most notable the handling of
    arch=all architectures in python-apt (LP: #733741)
  * apt-pkg/aptconfiguration.cc:
    - fix comparing for a empty string

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 13:19:56 +0200

apt (0.8.13.2) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - skip --configure if all packages disappeared
  * apt-pkg/vendor.cc, apt-pkg/vendorlist.cc:
    - mark them as deprecated as they are unused
  * apt-pkg/deb/deblistparser.h:
    - enable StripMultiArch by default for ParseDepends
  * debian/apt.conf.autoremove:
    - adapt to new gnumach kernel package naming (Closes: #619337)
  * doc/apt_preferences.5.xml:
    - correct typo spotted by Charles Plessy (Closes: #619088)
    - document ButAutomaticUpgrades together with NotAutomatic
      as suggested by Charles Plessy (Closes: #619083)
  * apt-pkg/depcache.cc:
    - remove pseudo handling leftover from SetReInstall
    - do not change protected packages in autoinstall (Closes: #618848)
  * apt-pkg/pkgcachegen.cc:
    - make "all"->"native" an implementation detail of NewPackage
      rather than rewrite it in higher methods
  * apt-pkg/cacheiterator.h:
    - return "all" instead of native architecture without breaking the abi
      (too much) by extending enum instead of using bitflags (LP: #733741)
  * apt-pkg/aptconfiguration.cc:
    - use dpkg --print-foreign-architectures to get multiarch configuration
      if non is specified with APT::Architectures (Closes: #612958)
  * cmdline/apt-get.cc:
    - do not show simulation notice for non-root commands (Closes: #619072)
    - be able to disable resolver with APT::Get::CallResolver and disable
      auto installation with APT::Get::AutoSolving
  * apt-pkg/deb/deblistparser.cc:
    - create foo:any provides for all architectures for an allowed package

 -- Michael Vogt <mvo@debian.org>  Tue, 05 Apr 2011 09:40:28 +0200

apt (0.8.13.1ubuntu1) natty; urgency=low

  * merged fixes from the debian-sid (LP: #744832)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Apr 2011 14:40:51 +0200

apt (0.8.13.1) unstable; urgency=low

  * apt-pkg/acquire-item.cc: Use stat buffer if stat was
    successful, not if it failed (Closes: #620546)

 -- Julian Andres Klode <jak@debian.org>  Sat, 02 Apr 2011 20:55:35 +0200

apt (0.8.13ubuntu2) natty; urgency=low

  * po/makefile:
    - add hack to run MSGMERGE again if it segfaults. this is to help
      powerpc to bootstrap
  * mirror method:
    - merge fix from Matt Zimmerman, many thanks (LP: #741098)
    - do not crash if the mirror file fails to download

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Mar 2011 18:01:38 +0100

apt (0.8.13ubuntu1) natty; urgency=low

  * merged from debian/sid, this adds important fixes in the
    apt mirror method

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Mar 2011 08:23:19 +0100

apt (0.8.13) unstable; urgency=low

  [ Thorsten Spindler ]
  * methods/rsh.cc
    - fix rsh/ssh option parsing (LP: #678080), thanks to
      Ville Mattila 
  
  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - mark pkgAcqIndexTrans as Index-File to avoid asking the
      user to insert the CD on each apt-get update
  * po/sl.po:
    - updated, thanks to Andrej Znidarsic
  * mirror method:
    - when downloading data, show the mirror being used
    - randomize mirror list after download in a host specific way
      to ensure that the load is evenly spreaded accross the mirrors
    - fix some missing "Fail-Ignore"

 -- Michael Vogt <mvo@debian.org>  Wed, 16 Mar 2011 08:04:42 +0100

apt (0.8.12ubuntu2) unstable; urgency=low

  [ Thorsten Spindler ]
  * methods/rsh.cc
    - fix rsh/ssh option parsing (LP: #678080), thanks to
      Ville Mattila 
  
  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - mark pkgAcqIndexTrans as Index-File to avoid asking the
      user to insert the CD on each apt-get update
  * methods/mirror.cc:
    - improve debug output and fix bug in TryNextMirror

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Mar 2011 15:56:54 +0100

apt (0.8.12ubuntu1) natty; urgency=low

  * merged from debian/sid, this adds important fixes in the udev based
    cdrom handling and multiarch handling

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Mar 2011 16:12:22 +0100

apt (0.8.12) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/debindexfile.cc:
    - ignore missing deb-src files in /var/lib/apt/lists, thanks
      to Thorsten Spindler (LP: #85590)
  * apt-pkg/contrib/fileutl.cc, apt-pkg/deb/dpkgpm.cc:
    - honor Dpkg::Chroot-Directory in the RunScripts*() methods
  * apt-pkg/contrib/cdromutl.{cc,h}, apt-pkg/cdrom.{cc,h}:
    - deal with missing FSTAB_DIR when using libudev to discover cdrom
    - add experimental APT::cdrom::CdromOnly option (on by default). 
      When this is set to false apt-cdrom will handle any removable
      deivce (like a usb-stick) as a "cdrom/dvd" source

  [ Christian Perrier ]
  * Fix error in French translation of manpages (apt_preferences(5)).
    Merci, Rémi Vanicat. Closes: #613689
  * Complete French manpage translation
  * Italian translation update (Milo Casagrande). Closes: #614395

  [ David Kalnischkies ]

