## apt 0.8.13.2ubuntu4.6

=== debian/changelog ===
apt (0.8.13.2ubuntu4.6) natty-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is still insecure
    - cmdline/apt-key: exit 1 immediately in net_update()
    - CVE-2012-0954
    - LP: #1013639

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Jun 2012 07:59:17 -0500

apt (0.8.13.2ubuntu4.5) natty-security; urgency=low

  * adjust apt-key to ensure no collisions on subkeys too. Patch thanks to
    Marc Deslauriers. (LP: #1013128)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jun 2012 11:32:34 -0500

apt (0.8.13.2ubuntu4.4) natty-security; urgency=low

  * SECURITY UPDATE: trust bypass via stale InRelease file (LP: #947108)
    - CVE-2012-0214

  [ David Kalnischkies ]
  * apt-pkg/acquire-item.cc:
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Mar 2012 11:29:00 -0500

apt (0.8.13.2ubuntu4.3) natty-security; urgency=low

  * SECURITY UPDATE: Restore apt-ket net-update functionality (LP: #857472)
    - cmdline/apt-key: improve key validation.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2011 13:46:58 -0500

apt (0.8.13.2ubuntu4.2) natty-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is insecure. (LP: #856489)
    - cmdline/apt-key: exit immediately out of net_update().
    - CVE number pending

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Sep 2011 11:03:15 -0400

apt (0.8.13.2ubuntu4.1) natty-security; urgency=low

  * SECURITY UPDATE: incorrect InRelease file signature validation
    (LP: #784473)
    - apt-pkg/indexcopy.cc, methods/gpgv.cc: Ensure file starts with
      clearsigned message header.
    - patch thanks to David Kalnischkies.
    - CVE-2011-1829

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Jul 2011 08:20:46 -0400

apt (0.8.13.2ubuntu4) natty-proposed; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)

  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - do not reject empty Packages files when checking them for
      correctness

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 Jun 2011 12:05:03 -0700

apt (0.8.13.2ubuntu3) natty-proposed; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - stop reporting of apport-package bug reports regarding
      dpkg I/O errors (LP: #767776)

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Apr 2011 15:05:12 -0700
