## apt 0.8.15.5

=== debian/changelog ===
apt (0.8.15.5) unstable; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/deblistparser.cc:
    - do not assume that the last char on a line is a \n (Closes: #633350)

 -- Michael Vogt <mvo@debian.org>  Thu, 28 Jul 2011 16:49:15 +0200

apt (0.8.15.4) unstable; urgency=low

  [ David Miller ]
  * apt-pkg/contrib/sha1.cc:
    - fix illegally casts of on-stack buffer to a type requiring more
      alignment than it has resulting in segfaults on sparc (Closes: #634696)

  [ Michael Vogt ]
  * apt-pkg/contrib/cdromutl.cc:
    - fix escape problem when looking for the mounted devices
  * apt-pkg/contrib/strutl.{h,cc}, test/libapt/strutil_test.cc:
    - add new DeEscapeString() similar to DeQuoteString but
      unescape character escapes like \0XX and \xXX (plus added
      test)
  * refresh po/*
  
 -- Michael Vogt <mvo@debian.org>  Tue, 26 Jul 2011 12:12:27 +0200

apt (0.8.15.3) unstable; urgency=low

  [ Michael Vogt ]
  * apt-pkg/acquire-item.cc:
    - improve error message for a expired Release file
  * apt-pkg/algorithms.cc:
    - Hold back packages that would enter "policy-broken" state on upgrade
      when doing a "apt-get upgrade"
  * cmdline/apt-get.cc:
    - fix missing download progress in apt-get download

  [ David Kalnischkies ]
  * apt-pkg/pkgcachegen.cc:
    - fallback to memory if file is not writeable even if access()
      told us the opposite before (e.g. in fakeroot 1.16) (Closes: #630591)
  * doc/sources.list.5.xml:
    - document available [options] for sources.list entries (Closes: 632441)
  * doc/apt.conf.5.xml:
    - document APT::Architectures list (Closes: #612102)
  * cmdline/apt-get.cc:
    - restore all important dependencies for garbage packages (LP: #806274)
    - do not require unused partial dirs in 'source' (Closes: #633510)
    - buildconflicts effect all architectures
    - implement MultiarchCross for build-dep and source (Closes: #632221)
  * apt-pkg/init.cc:
    - use CndSet in pkgInitConfig (Closes: #629617)
  * apt-pkg/depcache.cc:
    - change default of APT::AutoRemove::SuggestsImportant to true
  * cmdline/apt-key:
    - use a tmpfile instead of /etc/apt/secring.gpg (Closes: #632596)
  * debian/apt.postinst:
    - remove /etc/apt/secring.gpg if it is an empty file
  * doc/apt-cache.8.xml:
    - apply madison typofix from John Feuerstein, thanks! (Closes: #633455)
  * apt-pkg/policy.cc:
    - emit an error on unknown APT::Default-Release value (Closes: #407511)
  * apt-pkg/aptconfiguration.cc:
    - ensure that native architecture is if not specified otherwise the
      first architecture in the Architectures vector
  * apt-pkg/deb/deblistparser.cc:
    - Strip only :any and :native if MultiArch should be stripped as it is
      save to ignore them in non-MultiArch contexts but if the dependency
      is a specific architecture (and not the native) do not strip

 -- Michael Vogt <mvo@debian.org>  Mon, 25 Jul 2011 15:04:43 +0200

apt (0.8.15.2) unstable; urgency=high

  * fix from David Kalnischkies for the InRelease gpg verification 
    code (LP: #784473)

 -- Michael Vogt <mvo@debian.org>  Tue, 12 Jul 2011 11:54:47 +0200

apt (0.8.15.1) unstable; urgency=low

  [ David Kalnischkies ]
  * doc/makefile:
    - create doxygen directory to avoid depending on magic (Closes: #628799)
  * cmdline/apt-key:
    - explicitly state that net-update is not supported if no url is set
    - require to be root for add, rm, update and net-update
    - clarify update vs. net-update in different distros (Closes: #632043)
  * debian/apt.symbols:
    - forgot 'mips' in the list for all architecture dependent symbols
    - comment out gcc-4.5 specific symbols as gcc-4.6 is now default
    - the symbol for PrintStatus() is architecture dependent
  * apt-pkg/policy.cc:
    - do not segfault in pinning if a package with this name doesn't exist.
      Thanks to Ferdinand Thommes for the report!
    - Defaults is a vector of Pin not of PkgPin
    - ensure that only the first specific stanza for a package is used
    - save all stanzas which had no effect in Unmatched
    - allow package:architecure in Package:

 -- Michael Vogt <mvo@debian.org>  Thu, 30 Jun 2011 10:05:36 +0200

apt (0.8.15) unstable; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/depcache.cc:
    - Really release action groups only once (Closes: #622744)
    - Make purge work again for config-files (LP: #244598) (Closes: #150831)
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)
  * debian/apt.cron.daily:
    - Check power after wait, patch by manuel-soto (LP: #705269)
  * debian/control:
    - Move ${shlibs:Depends} to Pre-Depends, as we do not want APT
      unpacked if a library is too old and thus break upgrades
  * doc/apt-key.8.xml:
    - Document apt-key net-update (LP: #192810)

  [ Christian Perrier ]
  * Galician translation update (Miguel Anxo Bouzada). Closes: #626505
  * Italian translation update (Milo Casagrande). Closes: #627834
  * German documentation translation update (Chris Leick). Closes: #629949
  * Catalan translation update (Jordi Mallach). Closes: #630657

  [ David Kalnischkies ]
  * fix a bunch of cppcheck warnings/errors based on a patch by
    Niels Thykier, thanks! (Closes: #622805)
  * apt-pkg/depcache.cc:
    - really include 'rc' packages in the delete count by fixing a
      typo which exists since 1999 in the source… (LP: #761175)
    - if critical or-group can't be satisfied, exit directly.
  * apt-pkg/acquire-method.cc:
    - write directly to stdout instead of creating the message in
      memory first before writing to avoid hitting limits
    - fix order of CurrentURI and UsedMirror in Status() and Log()
  * apt-pkg/orderlist.cc:
    - let VisitRProvides report if the calls were successful
  * apt-pkg/deb/dpkgpm.cc:
    - replace obsolete usleep with nanosleep
    - remove invalid pkgcache.bin and rebuild it if possible
    - log reinstall commands in history.log
  * debian/apt{,-utils}.symbols:

