=== debian/rules ===
--- 
+++ 
@@ -173,8 +173,6 @@
 # apt install
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
-	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
-	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
